%global pypi_name googleapis_common_protos
%global pkg_name googleapis-common-protos

Name:           python-%{pkg_name}
Version:        1.66.0
Release:        %mkrel 3
Summary:        Common protobufs used in Google APIs
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/googleapis/python-api-common-protos
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Patch1:         googleapis-common-protos-1.63.1-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Google APIs common protos. googleapis-common-protos contains the python classes
generated from the common protos in the googleapis/api-common-protos
repository.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Google APIs common protos. googleapis-common-protos contains the python classes
generated from the common protos in the googleapis/api-common-protos
repository.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files google

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.66.0-3.mga10
+ Revision: 2239962
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.66.0-2.mga10
+ Revision: 2157094
- rebuild for python3.13

* Sat Dec 21 2024 papoteur <papoteur> 1.66.0-1.mga10
+ Revision: 2127082
- new version 1.66.0

* Sun Jun 30 2024 papoteur <papoteur> 1.63.1-1.mga10
+ Revision: 2078155
- new version 1.63.1

* Tue Jan 30 2024 papoteur <papoteur> 1.62.0-1.mga10
+ Revision: 2036234
- new version 1.62.0

* Sun Dec 18 2022 wally <wally> 1.57.0-2.mga9
+ Revision: 1925235
- fix reqs

* Sun Dec 18 2022 wally <wally> 1.57.0-1.mga9
+ Revision: 1925215
- new version 1.57.0

* Mon Aug 08 2022 wally <wally> 1.56.4-1.mga9
+ Revision: 1876231
- new version 1.56.4

* Sun May 29 2022 wally <wally> 1.56.2-1.mga9
+ Revision: 1860656
- imported package python-googleapis-common-protos

